@ECHO OFF
rem
rem                      This Batch File Is For NODE 1
rem    Ŀ
rem     This sample Batch file was created to help new Sysops out.    
rem     This file is made for use with Proboard, Intermail, Imail,            
rem     PBFILMAN, THDPRO, ALLFIX, AMU,                                
rem       and NU - Nodelist Updater. All mentioned programs are       
rem     Copyrighted material. Mike Howard nor The Peek Hole BBS are   
rem     affiliated with any of these companies or there products.     
rem     I strongly suggest registering any of these products with     
rem     there authors.                                                
rem    

echo                 Ŀ
echo                  Created by Mike Howard of  
echo                      The Peek Hole BBS      
echo                 (615)758-4288 Fido 1:116/145
echo                 ٰ
echo

rem    Ŀ
rem      We start off by setting the environment variable for Intermail
rem      and switching to the Intermail Dir. The command line used sets
rem      the variables for passing baud rate, node #, port, etc.       
rem    
:BEGIN

       G:
       SET IM=G:\IM
       CD\IM
       IM/#1 %1 %2 %3 %4 %5

rem       Ŀ
rem        Now we will set up all of our errorlevels. You should  
rem        check your errorlevels in Intermail setup and make sure
rem        that yours are correct. Edit to suit your needs.       
rem       

        if errorlevel 220 goto LOCAL
        if errorlevel 200 goto MAILRECV
        if errorlevel 175 goto MAINT
        if errorlevel 165 goto NU
        if errorlevel 50 goto END
        if errorlevel 49 goto DOBBS
        if errorlevel 10 goto END
        if errorlevel 8 goto IMLOADED
        if errorlevel 7 goto SERIAL
        if errorlevel 6 goto NOFOSSIL
        if errorlevel 5 goto INITMODEM
        if errorlevel 4 goto MODEM
        if errorlevel 3 goto DISKFULL
        if errorlevel 2 goto EXTERN
        if errorlevel 1 goto FATAL
rem
rem   Ŀ
rem    This passes the caller on to DOBBS.BAT that Intermail Makes. 
rem    Make sure you have Intermail set up to create the bat file.  
rem    This is for a human caller to the BBS.                       
rem   

:DOBBS                                                                
   CD\IM
   DOBBS.BAT
   goto BEGIN
rem   Ŀ
rem     This is for my local logons. I set up a key to press and     
rem     boom! I'm on the BBS, and if I enter Mail, it will scan it.  
rem    
       
:LOCAL

   cd\pb\node1
   proboard -N1
     if errorlevel 5 goto MAILSEND
     if errorlevel 4 goto MAILSEND
     if errorlevel 3 goto MAILSEND
     if errorlevel 2 goto MAILSEND
     if errorlevel 1 goto FATAL
     if errorlevel 0 goto BEGIN
   goto BEGIN

rem     Ŀ
rem      Sending mail can be done once a night, or as I do here,   
rem      after every call that a message has been posted, either   
rem      Netmail or Echomail. This is for local log-ons only.      
rem      I have the same thing in EXEBBS.BAT for remote callers.   
rem     

:MAILSEND
  cd\im\imail
  imail scan
  imalnk
  impack
  imcomp
  goto BEGIN
rem     Ŀ 
rem       This is were Intermail will exit after mail received and    
rem       have Imail toss the messages. Set the right errorlevel.     
rem      

:MAILRECV
   cd\im\imail
   imalnk
   imail toss
   if exist d:\im\imail.net d:\im\imail\imthings import
   impack
   imcomp
   if exist d:\im\imail.eco d:\im\imail\imthings link /c
   goto BEGIN

rem    Ŀ
rem     This is the daily maint area. This will be where you will want 
rem     to put all of your Nightly run maint. I run quite a bit. See   
rem     the Docs for details. I am also using a BETA version of        
rem     PBFILMAN to create my allfiles list. If this version is not out 
rem     yet, be patient, it will be. I also move the file list to a     
rem     seperate dir and make the ziped version of the list.            
rem    
:MAINT
  cd\thdpro
  thdterm
  cd\pb
  pbfilman /a1G:\files\newfiles\phhdfile.lst
  pbfilman /a1G:\files\newfiles\phnew.lst /nf30
  pbfilman /a2G:\files\pro\profiles.lst
  cd\files\newfiles
  copy phhdfile.lst test
  cd test
  pkzip phhdfile
  move /y phhdfile.zip G:\files\newfiles
  del *.lst
  cd\amu
  amu
  GOTO BEGIN

rem     Ŀ  
rem      Next is NU, this is my nodelist updater (nodediff). Since my 
rem      nodediff comes every Friday, I run this as an event for Sat  
rem      Morning (03:00).  See doc for details (nu.bat)               
rem     

:NU

   CD\IM
   CALL NU.BAT
   GOTO BEGIN

rem           Ŀ
rem            Next are some standard errorlevels to exit with. 
rem           

:IMLOADED
  echo IM loaded on top of itself, exiting.
  goto END
:EXTERN
   echo EXTERNAL error 
   goto END
:NOFOSSIL
  echo Fossil not loaded
  goto END
:MODEM
   echo Modem not responding
   goto END
:INITMODEM
  echo Cannot initialize modem
  goto END
:SERIAL
  echo Cannot initialize serial port
:DISKFULL
  echo Less than 32K of disk space free, Exiting!
  goto END
:FATAL
  echo A fatal error has occurred, exiting
  goto END
:END
